# getPlugins

abstract fun getPlugins(): PluginContainer

The container of plugins that have been applied to this object.

While not deprecated, it is preferred to use the methods of this interface or the plugin manager than use the plugin container.

Use one of the 'apply' methods on this interface or on the plugin manager to apply plugins instead of applying via the plugin container.

Use hasPlugin or similar to query for the application of plugins instead of doing so via the plugin container.

#### Return

the plugin container

#### See also

apply
PluginManager